package com.mosty.sjzx.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.dto.sjzx.TbSjDto;
import com.mosty.base.model.dto.sjzx.TbSjQcszDto;
import com.mosty.base.model.dto.sjzx.TbSjRzDto;
import com.mosty.base.model.dto.sjzx.TbSjUpdateJwdDto;
import com.mosty.base.model.entity.sjzx.TbSj;
import com.mosty.base.model.query.sjzx.SearchDto;
import com.mosty.base.model.query.sjzx.TbSjQuery;
import io.swagger.annotations.ApiOperation;

/**
 * @author zhangHaiJun
 * @since 2022-07-14 11:42:31
 */
public interface TbSjService {

    @ApiOperation("大屏-地图-全局搜索")
    Object queryAll(SearchDto dto);

    @ApiOperation("通过ID查询单条数据")
    TbSjDto queryById(String id);

    @ApiOperation("新增数据")
    TbSjDto insert(TbSj tbSj);

    @ApiOperation("大屏-地图-圈层设置")
    void editQc(TbSjQcszDto tbSj);

    @ApiOperation("通过主键删除数据")
    boolean deleteById(String id);

    @ApiOperation("大屏-地图-完成处置")
    Boolean finishDispose(TbSj tbSj);

    @ApiOperation("大屏-地图-修改定位")
    void updateJwd(TbSjUpdateJwdDto dto);

    @ApiOperation("事件-记录日志")
    void addSjRz(TbSjRzDto dto);

    @ApiOperation("每天计算必巡点的数据")
    Object bxdCreate();

    @ApiOperation("分页查询事件信息")
    IPage<TbSjDto> getPageList(TbSjQuery dto);
}

